/*
 * $Id: ResponseException.java,v 1.1 2005/05/22 14:58:43 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/05/11
 */
package feat.v1;

/**
 * レスポンスの不整合があったときにスローされる例外。
 * @author SUGIMOTO Ken-ichi
 */
public class ResponseException extends FeatException {

    /**
     * @param cause
     */
    public ResponseException(Throwable cause) {
        super(cause, FeatException.LEVEL_ERROR);
    }

    /**
     * @param message
     */
    public ResponseException(String message) {
        super(message, FeatException.LEVEL_ERROR);
    }

    /**
     * @param message
     * @param cause
     */
    public ResponseException(String message, Throwable cause) {
        super(message, cause, FeatException.LEVEL_ERROR);
    }

}
